org.keycloak.services.resources

## Class ClientsManagementService

- java.lang.Object
- - org.keycloak.services.resources.ClientsManagementService

-     public class ClientsManagementService
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected javax.ws.rs.ext.Providers` | `providers`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientsManagementService(RealmModel realm, EventBuilder event)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClientModel` | `authorizeClient()`
    `static javax.ws.rs.core.UriBuilder` | `clientsManagementBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `protected String` | `getClientClusterHost(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `javax.ws.rs.core.Response` | `registerNode(String authorizationHeader, javax.ws.rs.core.MultivaluedMap<String,String> formData)` URL invoked by adapter to register new client cluster node.
    `static javax.ws.rs.core.UriBuilder` | `registerNodeUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`
    `javax.ws.rs.core.Response` | `unregisterNode(String authorizationHeader, javax.ws.rs.core.MultivaluedMap<String,String> formData)` URL invoked by adapter to register new client cluster node.
    `static javax.ws.rs.core.UriBuilder` | `unregisterNodeUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

    - #### providers

          @Context
          protected javax.ws.rs.ext.Providers providers

    - #### session

          @Context
          protected KeycloakSession session

  - ### Constructor Detail

    - #### ClientsManagementService

          public ClientsManagementService(RealmModel realm,
                                          EventBuilder event)

  - ### Method Detail

    - #### clientsManagementBaseUrl

          public static javax.ws.rs.core.UriBuilder clientsManagementBaseUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### registerNodeUrl

          public static javax.ws.rs.core.UriBuilder registerNodeUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### unregisterNodeUrl

          public static javax.ws.rs.core.UriBuilder unregisterNodeUrl(javax.ws.rs.core.UriBuilder baseUriBuilder)

    - #### registerNode

          @Path(value="register-node")
           @POST
           @Produces(value="application/json")
          public javax.ws.rs.core.Response registerNode(@HeaderParam(value="Authorization")
                                                                                                                                 String authorizationHeader,
                                                                                                                                 javax.ws.rs.core.MultivaluedMap<String,String> formData)

      URL invoked by adapter to register new client cluster node. Each application cluster node will invoke this URL once it joins cluster
      Parameters:
        `authorizationHeader` -
        `formData` -
      Returns:

    - #### unregisterNode

          @Path(value="unregister-node")
           @POST
           @Produces(value="application/json")
          public javax.ws.rs.core.Response unregisterNode(@HeaderParam(value="Authorization")
                                                                                                                                     String authorizationHeader,
                                                                                                                                     javax.ws.rs.core.MultivaluedMap<String,String> formData)

      URL invoked by adapter to register new client cluster node. Each application cluster node will invoke this URL once it joins cluster
      Parameters:
        `authorizationHeader` -
        `formData` -
      Returns:

    - #### authorizeClient

          protected ClientModel authorizeClient()

    - #### getClientClusterHost

          protected String getClientClusterHost(javax.ws.rs.core.MultivaluedMap<String,String> formData)

Copyright © 2021 JBoss by Red Hat. All rights reserved.